Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcClientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xmlrpc.XmlRpcException
                  org.apache.xmlrpc.client.XmlRpcClientException

All Implemented Interfaces:
  java.io.Serializable

    public class XmlRpcClientException

extends XmlRpcException

This is thrown by many of the client classes if an error occured processing and XML-RPC request or response due to client side processing. This exception will wrap a cause exception in the JDK 1.4 style.

This class replaces the class `org.apache.xmlrpc.XmlRpcClientException` from Apache XML-RPC 2.0

Since:
  3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xmlrpc.XmlRpcException
`code, linkedException`

Constructor Summary
`XmlRpcClientException(java.lang.String pMessage, java.lang.Throwable pCause)` Create an XmlRpcClientException with the given message and underlying cause exception.

Method Summary

Methods inherited from class org.apache.xmlrpc.XmlRpcException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlRpcClientException

    public XmlRpcClientException(java.lang.String pMessage,
                                 java.lang.Throwable pCause)

  Create an XmlRpcClientException with the given message and underlying cause exception.

  Parameters:
    `pMessage` - the message for this exception.
    `pCause` - the cause of the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.